Subject: Re: cygwin's unlink
From: Chris Faylor <[email-masked]>
To: Steve Jorgensen <[email-masked]>
Cc: [email-masked]
Date: Tue, 26 Oct 1999 16:52:25 -0400

On Tue, Oct 26, 1999 at 02:01:10PM -0600, Steve Jorgensen wrote:
>Anyway, in the case where the file is truely a directory, under all
>unix systems we've tried, unlink returns and error, and we proceed with
>the recursive directory removal, but under cygwin it returns success
>(even though nothing is removed), and our code returns success without
>removing the directory.  Is this a limitation in the underlying windows
>unlink, or a bug in cygwin?

When I try this I get a "Permission denied" error.  It should be a
"Is a directory error" though.  I've changed the sources here so
this should be fixed in the next snapshot.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]